【活用ガイド】

[English]

JVNDB-2023-000104

Proself における XML 外部実体参照 (XXE) に関する脆弱性

概要

株式会社ノースグリッドが提供するオンラインストレージサーバ Proself には、XML 外部実体参照 (XXE) に関する脆弱性 (CWE-611) が存在します。

開発者によると、本脆弱性を悪用した攻撃が既に確認されています。

この脆弱性情報は、製品利用者への周知を目的に、開発者が JPCERT/CC に報告し、JPCERT/CC が開発者との調整を行いました。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 7.5 (重要) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 5.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
影響を受けるシステム


株式会社ノースグリッド
  • Proself Enterprise Edition Ver5.62 およびそれ以前
  • Proself Gateway Edition Ver1.65 およびそれ以前
  • Proself Mail Sanitize Edition Ver1.08 およびそれ以前
  • Proself Standard Edition Ver5.62 およびそれ以前

想定される影響

細工されたリクエストに含まれる不正な XML データを当該製品が処理することで、サーバ上のアカウント情報を含む任意のファイルを窃取される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。

[ワークアラウンドを実施する]
アップデート版を適用するまでの間、暫定対応を実施することで、本脆弱性の影響を回避することができます。
詳細は開発者が提供する情報を確認してください。

[現行製品の利用を停止し、後続製品に乗り換える]
次のバージョンではサポートが終了しており、アップデートはリリースされないため、利用を停止するか Ver.5 以降の後継製品への乗り換えを検討してください。
  • Proself Enterprise/Standard Edition Ver.4 およびそれ以前

ベンダ情報

株式会社ノースグリッド
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2023-45727
参考情報

  1. JVN : JVN#95981460
  2. IPA 重要なセキュリティ情報 : 「Proself」における XML 外部実体参照 (XXE) に関する脆弱性について(JVN#95981460)
  3. JPCERT 緊急報告 : JPCERT-AT-2023-0022
更新履歴

  • [2023年10月18日]
      掲載
  • [2023年10月18日]
      ベンダ情報、参考情報:内容を追記